#### Description:

This function returns a duplicate pointer to an existing Object. It also increments the Object`’` s RefCount attribute to keep track of how many pointers have been issued.

Note that this function is NOT equivalent to an assignment statement, as in general the two pointers will not have the same value.

#### Synopsis

AstObject ∗astClone( AstObject ∗this )

#### Parameters:

##### this

Original pointer to the Object.

#### Applicability

##### Object

This function applies to all Objects.

#### Returned Value

##### astClone()

A duplicate pointer to the same Object.

#### Notes:

- A null Object pointer (AST__NULL) will be returned if this function is invoked with the AST error status set, or if it should fail for any reason.

Copyright (C) 2021 East Asian Observatory